Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerBulkRecord

All Superinterfaces:
  `ISQLServerBulkData`, `java.io.Serializable`

All Known Implementing Classes:
  `SQLServerBulkBatchInsertRecord`, `SQLServerBulkCSVFileRecord`

    @Deprecated
    public interface ISQLServerBulkRecord
    extends ISQLServerBulkData

Deprecated.
as of 8.1.0, because the interface contains methods which are not called as part of actual bulk copy process. Use `ISQLServerBulkData`} instead.
Provides an interface used to create classes that read in data from any source (such as a file) and allows a SQLServerBulkCopy class to write the data to SQL Server tables. This interface is implemented by `SQLServerBulkRecord` Class

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addColumnMetadata​(int positionInFile, java.lang.String name, int jdbcType, int precision, int scale)` Deprecated. Adds metadata for the given column in the file.
`void` `addColumnMetadata​(int positionInFile, java.lang.String name, int jdbcType, int precision, int scale, java.time.format.DateTimeFormatter dateTimeFormatter)` Deprecated. Adds metadata for the given column in the file.
`java.time.format.DateTimeFormatter` `getColumnDateTimeFormatter​(int column)` Deprecated. Returns the `dateTimeFormatter` for the given column.
`boolean` `isAutoIncrement​(int column)` Deprecated. Returns whether the column represents an identity column.
`void` `setTimestampWithTimezoneFormat​(java.lang.String dateTimeFormat)` Deprecated. Sets the format for reading in dates from the file.
`void` `setTimestampWithTimezoneFormat​(java.time.format.DateTimeFormatter dateTimeFormatter)` Deprecated. Sets the format for reading in dates from the file.
`void` `setTimeWithTimezoneFormat​(java.lang.String timeFormat)` Deprecated. Sets the format for reading in dates from the file.
`void` `setTimeWithTimezoneFormat​(java.time.format.DateTimeFormatter dateTimeFormatter)` Deprecated. Sets the format for reading in dates from the file.

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerBulkData

`getColumnName, getColumnOrdinals, getColumnType, getPrecision, getRowData, getScale, next`

### Method Detail

#### isAutoIncrement

    boolean isAutoIncrement​(int column)

Deprecated.
Returns whether the column represents an identity column.

Parameters:
  `column` - Column ordinal
Returns:
  True if the column is an identity column; false otherwise.

#### addColumnMetadata

    void addColumnMetadata​(int positionInFile,
                           java.lang.String name,
                           int jdbcType,
                           int precision,
                           int scale,
                           java.time.format.DateTimeFormatter dateTimeFormatter)
                    throws SQLServerException

Deprecated.
Adds metadata for the given column in the file.

Parameters:
  `positionInFile` - Indicates which column the metadata is for. Columns start at 1.
  `name` - Name for the column (optional if only using column ordinal in a mapping for SQLServerBulkCopy operation)
  `jdbcType` - JDBC data type of the column
  `precision` - Precision for the column (ignored for the appropriate data types)
  `scale` - Scale for the column (ignored for the appropriate data types)
  `dateTimeFormatter` - format to parse data that is sent
Throws:
  `SQLServerException` - when an error occurs

#### addColumnMetadata

    void addColumnMetadata​(int positionInFile,
                           java.lang.String name,
                           int jdbcType,
                           int precision,
                           int scale)
                    throws SQLServerException

Deprecated.
Adds metadata for the given column in the file.

Parameters:
  `positionInFile` - Indicates which column the metadata is for. Columns start at 1.
  `name` - Name for the column (optional if only using column ordinal in a mapping for SQLServerBulkCopy operation)
  `jdbcType` - JDBC data type of the column
  `precision` - Precision for the column (ignored for the appropriate data types)
  `scale` - Scale for the column (ignored for the appropriate data types)
Throws:
  `SQLServerException` - when an error occurs

#### setTimestampWithTimezoneFormat

    void setTimestampWithTimezoneFormat​(java.lang.String dateTimeFormat)

Deprecated.
Sets the format for reading in dates from the file.

Parameters:
  `dateTimeFormat` - format to parse data sent as java.sql.Types.TIMESTAMP_WITH_TIMEZONE

#### setTimestampWithTimezoneFormat

    void setTimestampWithTimezoneFormat​(java.time.format.DateTimeFormatter dateTimeFormatter)

Deprecated.
Sets the format for reading in dates from the file.

Parameters:
  `dateTimeFormatter` - format to parse data sent as java.sql.Types.TIMESTAMP_WITH_TIMEZONE

#### setTimeWithTimezoneFormat

    void setTimeWithTimezoneFormat​(java.lang.String timeFormat)

Deprecated.
Sets the format for reading in dates from the file.

Parameters:
  `timeFormat` - format to parse data sent as java.sql.Types.TIME_WITH_TIMEZONE

#### setTimeWithTimezoneFormat

    void setTimeWithTimezoneFormat​(java.time.format.DateTimeFormatter dateTimeFormatter)

Deprecated.
Sets the format for reading in dates from the file.

Parameters:
  `dateTimeFormatter` - format to parse data sent as java.sql.Types.TIME_WITH_TIMEZONE

#### getColumnDateTimeFormatter

    java.time.format.DateTimeFormatter getColumnDateTimeFormatter​(int column)

Deprecated.
Returns the `dateTimeFormatter` for the given column.

Parameters:
  `column` - Column ordinal
Returns:
  dateTimeFormatter